.wp-block-media-text {
	margin-bottom: 2rem;
}

#main .wp-block-media-text__content>*:first-child {
	margin-top: 0;
}

#main .wp-block-media-text:not(.has-media-on-the-right) .wp-block-media-text__content {
	padding-right: 0;
}

#main .has-media-on-the-right .wp-block-media-text__content {
	padding-left: 0;
}

#main .wp-block-media-text__media {
	margin-bottom: 1rem;
	padding: 0.6rem;
	background: var(--wp--preset--color--cream);
	border: 1px solid var(--accent-color);
}

@media (prefers-reduced-motion:no-preference) {
	.wp-block-media-text__media {
		opacity: 0;
		--y: 2rem;
		transform: translateY(2rem);
		clip-path: inset(0.6rem);
	}

	#main .wp-block-media-text__media.js-intersected {
		animation: fadeinReveal 1.1s ease .5s forwards;
	}
}

@media (min-width: 37.51em) {
	.wp-block-media-text__media {
		position: sticky;
		top: 1rem;
	}
}

@media (min-width: 68.5em) {
	.entry-content .wp-block-media-text:not(:last-child) {
		margin-bottom: 4.5rem !important;
	}

	.wp-block-media-text__media {
		transition: top 0.3s ease;
	}

	body:has(header.show-sticky) .wp-block-media-text__media {
		top: 4rem;
	}
}